from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDropTarget(XInterface, Protocol):
    def addDropTargetListener(self, dtl: XDropTargetListener) -> None: ...
    def removeDropTargetListener(self, dtl: XDropTargetListener) -> None: ...
    def isActive(self) -> bool: ...
    def setActive(self, active: bool) -> None: ...
    def getDefaultActions(self) -> int: ...
    def setDefaultActions(self, actions: int) -> None: ...
